hbase-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Renaud Delbru <renaud.del...@deri.org>
Subject Re: HRegionServer: error opening region
Date Thu, 24 Jul 2008 15:45:20 GMT
Hi Stack, Jean-Daniel,

Yes, this is a production environment ;o). But, I was aware of the 
potential problems that can cause the use of a nightly build. I moved 
from 0.13 to 0.2 thinking that it will solve the stability problems we 
encountered (which in fact solve some of them).

Ok, so if I understand, I just have to change the version number to 
0.1(in hbase.version), and do the normal upgrade procedure. I will try 
it and keep you informed.

Thanks for the advices.
-- 
Renaud Delbru


stack wrote:
> Jean-Daniel Cryans wrote:
>> Renaud,
>>
>> There was a change in the Migrate class, introduced on July 17 with
>> HBASE-62, that refactored the versions. The only way to correct this 
>> is to
>> edit your hbase.version to change the version number to 0.1 or to 
>> install
>> HBase 0.1.3 somewhere and copy over the file. For the changes that are
>> already done, it should not do them so it should not break your install.
>>
>> Stack, can you confirm this just to be sure?
>>   
>
> Thats right.
>
> Keeping up the individual migration steps between 0.1 and final 0.2.0 
> filesystem version proved beyond my limited capacities so all steps 
> between 0.1 and the final 0.2.0 version 5 of the filesystem were 
> squashed together.
>
> As J-D asks Renaud, is this a production environment?   If it is, 
> we'll figure out a prescription.
>
> St.Ack
>
>> And also Renaud, is this your production environment?
>>
>> I guess it's the joys of using nightly builds ;) But yeah, sorry for 
>> this
>> situation.
>>
>> J-D
>>
>> On Thu, Jul 24, 2008 at 7:38 AM, Renaud Delbru <renaud.delbru@deri.org>
>> wrote:
>>
>>  
>>> Hi,
>>>
>>> I downloaded the last Hudson Build #244. So, I am trying to upgrade 
>>> from
>>> build #208 to #244.
>>> When I try to start HBase, Hbase tells me to run an upgrade.
>>> When I excecute 'hbase migrate upgrade' I get:
>>>
>>> 08/07/24 12:33:19 INFO util.Migrate: Starting upgrade
>>> 08/07/24 12:33:19 FATAL util.Migrate: Upgrade failed
>>> java.io.IOException: Unrecognized or non-migratable version: 3.0
>>>   at org.apache.hadoop.hbase.util.Migrate.run(Migrate.java:189)
>>>   at org.apache.hadoop.util.ToolRunner.run(ToolRunner.java:65)
>>>   at org.apache.hadoop.util.ToolRunner.run(ToolRunner.java:79)
>>>   at org.apache.hadoop.hbase.util.Migrate.main(Migrate.java:446)
>>>
>>> What I need to do to perform the upgrade ?
>>>
>>> Thanks
>>> -- 
>>> Renaud Delbru
>>>
>>> stack wrote:
>>>
>>>    
>>>> Renaud Delbru wrote:
>>>>
>>>>      
>>>>> I will try to apply your patch (on the trunk or release candidate ?)
>>>>>
>>>>>         
>>>> It should work with either.  Its just moving a single line.
>>>> St.Ack
>>>>
>>>>       
>>
>>   

Mime
View raw message